## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           remind
Version:        04.02.09
Release:        %autorelease
Summary:        Sophisticated calendar and alarm program

# GPL-2.0-only: main software
# GPL-2.0-only AND LicenseRef-Fedora-Public-Domain:
#  - src/moon.c
# LicenseRef-Fedora-Public-Domain:
# - src/md5.c
License:        GPL-2.0-only AND BSD-2-Clause AND (GPL-2.0-only AND LicenseRef-Fedora-Public-Domain) AND LicenseRef-Fedora-Public-Domain
URL:            https://dianne.skoll.ca/projects/remind/
Source:         %url/download/%{name}-%{version}.tar.gz
Source:         %url/download/%{name}-%{version}.tar.gz.sig
Source:         685A5A5E511D30E2.gpg
Source:         tkremind.desktop
# stolen from Debian
Patch:          use-system-libjsonparser.diff


# temporary
Patch:          remove-timezone-tests-from-compare.patch

BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  make
BuildRequires:  perl(Cairo)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(JSON::MaybeXS)
BuildRequires:  perl(Pango)
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  pkgconfig(json-parser)
BuildRequires:  desktop-file-utils
Recommends:     remind-tools
Recommends:     remind-gui
Recommends:     remind-doc

%description
Remind is a sophisticated calendar and alarm program. It includes the following
features:

 - A sophisticated scripting language and intelligent handling of exceptions
   and holidays
 - Plain-text, PDF, PostScript and HTML output
 - Timed reminders and pop-up alarms
 - A friendly graphical front-end for people who don't want to learn the
   scripting language
 - Facilities for both the Gregorian and Hebrew calendars
 - Support for 12 different languages

%package        doc
Summary:        Documentation for remind, a sophisticated calendar and alarm program
License:        GPL-2.0-only
BuildArch:      noarch

%description    doc
Documentation and information on how to use remind

%package        gui
Summary:        GUI for remind, a sophisticated calendar and alarm program
License:        GPL-2.0-only
BuildArch:      noarch
Provides:       tkremind = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       tcl
Requires:       tcllib
Requires:       tk >= 8.0
Suggests:       google-noto-fonts

%description    gui
Tkremind provides a GUI which allows viewing a calendar and adding or editing
reminders without learning the syntax of Remind.

%package        tools
Summary:        Additional tools for remind
# GPL-2.0-or-later:
#  - contrib/ical2rem.pl
#  - contrib/rem2ics-0.93/rem2ics.spec
#  - contrib/remind-conf-mode/remind-conf-mode.el
# GPL-2.0-or-later AND GPL-2.0-only:
#  - contrib/rem2ics-0.93/rem2ics
# GPL-3.0-only:
#  - contrib/remind-conf-mode/gpl.txt
License:        GPL-2.0-only AND GPL-2.0-or-later AND GPL-3.0-only

%description    tools
Tools to convert the remind output to ps, pdf or html as well as example files.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1 -n %{name}-%{version}
# Disable packlist and perllocal update
sed -i 's|\$(PERL) Makefile.PL|\$(PERL) Makefile.PL NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"|g' rem2pdf/Makefile.top.in

# json-parser is in fedora; remove bundled copies
rm src/json.h
rm src/json.c

%build
%configure
%make_build

%install
%make_install

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE3}

%check
# NOTE(neil): 2024-01-09 disabling tz.rem as it is broken

sed -iE 's,^TZ=America.*,,;s,^TZ=Europe.*,,' tests/test-rem

make test

%files
%doc README
%license COPYRIGHT MICROSOFT-AND-APPLE
%attr(0755,-,-) %{_bindir}/%{name}
%{_bindir}/rem
%{_datadir}/remind/
%{_mandir}/man1/rem.1*
%{_mandir}/man1/%{name}.1*

%files doc
%doc README docs/
%doc www/ examples/ contrib/

%files tools
%license COPYRIGHT MICROSOFT-AND-APPLE
%attr(0755,-,-) %{_bindir}/rem2html
%attr(0755,-,-) %{_bindir}/rem2pdf
%attr(0755,-,-) %{_bindir}/rem2ps
%{perl_vendorlib}/*
%{_mandir}/man1/rem2html.1*
%{_mandir}/man1/rem2pdf.1*
%{_mandir}/man1/rem2ps.1*
%{_mandir}/man3/Remind::PDF.3pm*
%{_mandir}/man3/Remind::PDF::Entry.3pm*

%files gui
%attr(0755,-,-) %{_bindir}/tkremind
%{_mandir}/man1/tkremind.1*
%{_datadir}/applications/tkremind.desktop

%changelog
## START: Generated by rpmautospec
* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 04.02.09-2
- remove patch included upstream

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 04.02.09-1
- update to 04.02.09 (fedora#2246133)

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 04.02.08-5
- fix final review comments

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 04.02.08-4
- fix rpmlint errors by integrating upstream patch to change fsf address

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 04.02.08-3
- don't include %%{__isa} in Requires for tkremind

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 04.02.08-2
- Add tests, split documentation into subpkg

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 04.02.08-1
- update to 04.02.08 and address review comments

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 04.02.07-1
- update to eclipseo's work on the spec

* Wed Feb 07 2024 Kurt Keller <kurt@pinboard.jp> - 04.02.06-2
- take care of missing tcllib auto-dependency

* Wed Feb 07 2024 Kurt Keller <kurt@pinboard.jp> - 04.02.06-1
- rebuild with new version for F38

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 03.01.15-16
- fix final review comments

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 03.01.15-15
- fix rpmlint errors by integrating upstream patch to change fsf address

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 03.01.15-14
- Add tests, split documentation into subpkg

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 03.01.15-13
- update to 04.02.08 and address review comments

* Wed Feb 07 2024 Neil Hanlon <neil@shrug.pw> - 03.01.15-12
- update to eclipseo's work on the spec

* Wed Feb 07 2024 Kurt Keller <kurt@pinboard.jp> - 03.01.15-11
- take care of missing tcllib auto-dependency

* Wed Feb 07 2024 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-10
- Unretirement releng issue: https://pagure.io/releng/issue/11917

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 03.01.15-8
- add BuildRequires: gcc

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 03.01.15-7
- Escape macros in %%changelog

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-6
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jun 24 2016 Petr Písař <ppisar@redhat.com> - 03.01.15-3
- Mandatory Perl build-requires added
  <https://fedoraproject.org/wiki/Changes/Build_Root_Without_Perl>

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 03.01.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 Jaromir Capik <jcapik@redhat.com> - 03.01.15-1
- Updating to 03.01.15 (#1215295)

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> - 03.01.13-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 03.01.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Dennis Gilmore <dennis@ausil.us> - 03.01.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 03.01.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Písař <ppisar@redhat.com> - 03.01.13-4
- Perl 5.18 rebuild

* Thu Jun 13 2013 Jaromir Capik <jcapik@redhat.com> - 03.01.13-3
- Fixing unescaped %%%%check section in the changelog ... - ... causing
  build failures on aarch64

* Wed May 01 2013 Jon Ciesla <limburgher@gmail.com> - 03.01.13-2
- Drop vendor tag.

* Tue Apr 09 2013 Jaromir Capik <jcapik@redhat.com> - 03.01.13-1
- Updated to 03.01.13 - Fixing bogus dates in the changelog

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 03.01.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> - 03.01.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 03 2012 Jaromir Capik <jcapik@redhat.com> - 03.01.12-2
- fix for #816370 - rem2ps should not require margins to be at least 1/2
  inch - Patch from Jonathan Kamens

* Mon Apr 30 2012 Jaromir Capik <jcapik@redhat.com> - 03.01.12-1
- Updated to 03.01.12

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> - 03.01.07-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 03.01.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 03.01.07-4
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 03.01.07-3
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Mon Jul 27 2009 Jesse Keating <jkeating@fedoraproject.org> - 03.01.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 rayvd <rayvd@fedoraproject.org> - 03.01.07-1
- 03.01.07

* Sat Feb 28 2009 rayvd <rayvd@fedoraproject.org> - 03.01.06-1
- Latest version refresh.

* Wed Feb 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 03.01.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 26 2008 rayvd <rayvd@fedoraproject.org> - 03.01.04-1
- Updated to v3.1.4

* Tue Feb 19 2008 Jesse Keating <jkeating@fedoraproject.org> - 03.01.02-2
- Autorebuild for GCC 4.3

* Mon Jan 28 2008 rayvd <rayvd@fedoraproject.org> - 03.01.02-1
- Reverted to version 03.01.02 and added rem2html to /usr/bin - bz #430502,
  #430507

* Mon Jan 21 2008 rayvd <rayvd@fedoraproject.org> - 03.01.03-1
- Updated to v03.01.03

* Wed Sep 19 2007 rayvd <rayvd@fedoraproject.org> - 03.01.02-2
- Fixes bz #290761

* Thu Sep 13 2007 rayvd <rayvd@fedoraproject.org> - 03.01.02-1
- Updated to version 03.01.02

* Thu Aug 23 2007 rayvd <rayvd@fedoraproject.org> - 03.01.01-1
- Update to version 03.01.01

* Wed Aug 15 2007 rayvd <rayvd@fedoraproject.org> - 03.01.00-1
- Updated to version 03.01.00

* Thu May 31 2007 rayvd <rayvd@fedoraproject.org> - 03.00.24-1
- Initial import.
## END: Generated by rpmautospec
